[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Built 1.8.1 from source: "libz.so.1: no version information available"

From: Randy <nya_macha_at_yahoo.com>
Date: Sun, 11 Aug 2013 10:34:12 -0700 (PDT)

Hi Nico,

Thank you for the reply! I confirmed that I do have "zlib-devel" installed...

Package zlib-devel-1.2.3-7.el5.x86_64 already installed and latest version
Package zlib-devel-1.2.3-7.el5.i386 already installed and latest version

I will try out your RPM building tools soon and report back. 

Cheers,
Randy

----- Original Message -----
From: Nico Kadel-Garcia <nkadel_at_gmail.com>
To: Randy <nya_macha_at_yahoo.com>
Cc: "users_at_subversion.apache.org" <users_at_subversion.apache.org>
Sent: Saturday, August 10, 2013 10:58 AM
Subject: Re: Built 1.8.1 from source: "libz.so.1: no version information available"

On Fri, Aug 9, 2013 at 11:59 PM, Randy <nya_macha_at_yahoo.com> wrote:
> Hi all,
>
> I built Subversion 1.8.1 from source on CentOS 6 and running into a problem with zlib versions. The build completes successfully, but when running svn with any command I get this "no version information available" error:

Offhand, I'd say you're missing the "zlib-devel" RPM on your local system.

If you want to do this, I urge you to grab my RPM building tools from
https://github.com/nkadel/subversion-1.8.x-srpm. That will also
include all the build dependencies to activate everything, inclugind
the kwallet and gnome SSH key handling and Emacs configurations.
Received on 2013-08-11 19:34:50 CEST

This is an archived mail posted to the Subversion Users mailing list.